Package twisted :: Package application :: Module service :: Class Service |
[frames | no frames]

## Class Service

Known Subclasses:
  `_Demo`, `_VolatileDataService`, `MultiService`, `ProcessMonitor`, `Service`, `Service`

Base class for services

Most services should inherit from this class. It handles the book-keeping reponsibilities of starting and stopping, as well as not serializing this book-keeping information.

Method Summary
| `__getstate__(self)`
| `disownServiceParent(self)`
| `privilegedStartService(self)`
| `setName(self, name)`
| `setServiceParent(self, parent)`
| `startService(self)`
| `stopService(self)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.application.service.IService at 0x83d7bd4>,)

    ### name Type: `NoneType` Value:
        None

    ### parent Type: `NoneType` Value:
        None

    ### running Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:07 2003 | http://epydoc.sf.net